X2Go Bug report logs - #1212
Missing icons in Eclipse toolbars with GTK2 in Published Apps mode

Package: src:nxlibs; Maintainer for src:nxlibs is (unknown);

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Sat, 23 Sep 2017 21:05:02 UTC

Severity: normal

Tags: pending

Merged with 1213

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1212; Package x2goserver. (Sat, 23 Sep 2017 21:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 23 Sep 2017 21:05:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Subject: Missing icons in Eclipse toolbars with GTK2 in Published Apps mode
Date: Sat, 23 Sep 2017 23:00:15 +0200 (CEST)
Package: x2goserver 
Version: 4.1.0.0-0~1413~ubuntu16.04.1

Running Eclipse with GTK2 backend in Published Apps mode leads to missing icons in the toolbars.
They refreshed once you pass the mouse over or switch from  one perspective to another so it's not too annoying but that's not great.
This doesn't happens with GTK3.

Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1212; Package x2goserver. (Sun, 24 Sep 2017 07:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 24 Sep 2017 07:25:01 GMT) Full text and rfc822 format available.

Message #10 received at 1212@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1212@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1212: Missing icons in Eclipse toolbars with GTK2 in Published Apps mode
Date: Sun, 24 Sep 2017 09:21:29 +0200
Just to be sure (and to document it in the bug): what version of
nx-libs are you seeing this with?

On Sat, Sep 23, 2017 at 11:00 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> Package: x2goserver
> Version: 4.1.0.0-0~1413~ubuntu16.04.1
>
> Running Eclipse with GTK2 backend in Published Apps mode leads to missing icons in the toolbars.
> They refreshed once you pass the mouse over or switch from  one perspective to another so it's not too annoying but that's not great.
> This doesn't happens with GTK3.
>
> Regards,
> Walid Moghrabi
>
> TRAVAUX.COM
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
> 13591 AIX EN PROVENCE CEDEX 3
> ---
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1212; Package x2goserver. (Tue, 26 Sep 2017 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 26 Sep 2017 11:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 1212@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: uli42@gmx.de
Cc: 1212@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1212: Missing icons in Eclipse toolbars with GTK2 in Published Apps mode
Date: Tue, 26 Sep 2017 12:55:46 +0200 (CEST)
Latest 3.5.99.10 but this is also the case with legacy 3.5 branch


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1212@bugs.x2go.org 
Envoyé: Dimanche 24 Septembre 2017 09:21:29 
Objet: Re: [X2Go-Dev] Bug#1212: Missing icons in Eclipse toolbars with GTK2 in Published Apps mode 

Just to be sure (and to document it in the bug): what version of 
nx-libs are you seeing this with? 

On Sat, Sep 23, 2017 at 11:00 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Package: x2goserver 
> Version: 4.1.0.0-0~1413~ubuntu16.04.1 
> 
> Running Eclipse with GTK2 backend in Published Apps mode leads to missing icons in the toolbars. 
> They refreshed once you pass the mouse over or switch from one perspective to another so it's not too annoying but that's not great. 
> This doesn't happens with GTK3. 
> 
> Regards, 
> Walid Moghrabi 
> 
> TRAVAUX.COM 
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
> 13591 AIX EN PROVENCE CEDEX 3 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1212; Package x2goserver. (Mon, 18 Dec 2017 11:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 18 Dec 2017 11:50:01 GMT) Full text and rfc822 format available.

Message #20 received at 1212@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1213@bugs.x2go.org
Cc: 1212@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1213: Missing icons in Eclipse toolbars with GTK2 in Published Apps mode
Date: Mon, 18 Dec 2017 11:48:51 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 src:nxlibs
Control: fixed -1 3.5.99.12
Control: tags -1 pending
Control: forcemerge #1212 -1

Hi,

On  Sa 23 Sep 2017 23:00:18 CEST, Walid MOGHRABI wrote:

> Package: x2goserver
> Version: 4.1.0.0-0~1413~ubuntu16.04.1
>
> Running Eclipse with GTK2 backend in Published Apps mode leads to  
> missing icons in the toolbars.
> They refreshed once you pass the mouse over or switch from  one  
> perspective to another so it's not too annoying but that's not great.
> This doesn't happens with GTK3.
>
> Regards,
> Walid Moghrabi

This issue is not reproducible since nx-libs 3.5.99.12. Thus marking  
this bug a a candidate for closure, once nx-libs 3.6.x branch gets  
released with X2Go.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goserver' to 'src:nxlibs'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1212-submit@bugs.x2go.org. (Mon, 18 Dec 2017 11:50:01 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.1.0.0-0~1413~ubuntu16.04.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1212-submit@bugs.x2go.org. (Mon, 18 Dec 2017 11:50:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1212-submit@bugs.x2go.org. (Mon, 18 Dec 2017 11:50:02 GMT) Full text and rfc822 format available.

Merged 1212 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1212-submit@bugs.x2go.org. (Mon, 18 Dec 2017 11:50:02 GMT) Full text and rfc822 format available.

Merged 1212 1213 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1213-submit@bugs.x2go.org. (Mon, 18 Dec 2017 11:50:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 19:16:11 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.